Bug 49133 - Installer hangs, but I'm not sure where it did it. Sorry
Installer hangs, but I'm not sure where it did it. Sorry
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-14 19:24 EDT by Steve Jones
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-23 11:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Jones 2001-07-14 19:24:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 412, in 
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/examine_gui.py", line 
19, in getNext
    self.todo.upgradeFindPackages (self.root)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 910, in 
upgradeFindPackages
    fstab.readFstab('/mnt/sysimage/etc/fstab', self.fstab)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 1021, in 
readFstab
    device = labelsByMount[label]
KeyError: /

Local variables in innermost frame:
loopIndex: {}
fstab: <fstab.GuiFstab instance at 84e7800>
labelsByMount: {'/boot': 'hda2', 'D:': 'hda5'}
line: LABEL=/                 /                       ext2    
defaults        1 1

path: /mnt/sysimage/etc/fstab
device: hda2
raidByDev: {}
label: /
drives: ['hda']
lines: ['LABEL=/                 /                       ext2    
defaults        1 1\012', 'LABEL=/boot             /boot                   
ext2    defaults        1 2
\012', '/dev/cdrom              /mnt/cdrom              iso9660 
noauto,owner,ro 0 0\012', '/dev/fd0                /mnt/floppy             
auto    noauto,owner    0 0
\012', 'none                    /proc                   proc    
defaults        0 0\012', 'none                    /dev/pts                
devpts  gid=5,mode=620  0 0\012', '/dev/hda6               
swap                    swap    defaults        0 0\012']
labels: {'hda5': 'D:', 'hda2': '/boot'}
fields: ['LABEL=/', '/', 'ext2', 'defaults', '1', '1']
f: <open file '/mnt/sysimage/etc/fstab', mode 'r' at 8513518>
raidList: []

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


How reproducible:
Didn't try


Additional info:
Comment 1 Matt Wilson 2001-07-16 09:30:56 EDT
it looks like your system is set up to mount / by label (LABEL=/), but there was
no partition found that has the '/' label.  Can your system boot normally right
now?
Comment 2 Steve Jones 2001-07-16 15:15:11 EDT
Yes it boots normally, although I haven't figured out how to mount the eth0 or 
the cd-rom drive yet...
Comment 3 Brent Fox 2001-07-23 11:54:33 EDT
Can you provide more information about how to reproduce the original crash that
you saw?
Comment 4 Brent Fox 2001-08-03 10:44:23 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.